明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1308|回复: 0

[求助]过滤桢同数据的问题

[复制链接]
发表于 2006-11-5 12:42:00 | 显示全部楼层 |阅读模式
本帖最后由 作者 于 2006-11-6 17:43:07 编辑

Sub N12()

     On Error Resume Next
       Dim ENT As AcadEntity
       Dim sset As AcadSelectionSet
       Dim objtext As AcadText
       On Error Resume Next
       If Not IsNull(ThisDrawing.SelectionSets.Item("TEXT")) Then
       Set sset = ThisDrawing.SelectionSets.Item("TEXT")
       sset.Delete
       End If
       Set sset = ThisDrawing.SelectionSets.Add("TEXT")
     
       Dim filtertype(0) As Integer
       Dim filterdata(0) As Variant
      
     filtertype(0) = 0
     filterdata(0) = "text"
     sset.selectonscreen filtertype, filterdata
     Dim count As Long
     count = sset.count
    
     Dim text1()
     ReDim text1(count)
     Dim i As Long
     For i = 0 To sset.count - 1
     Set text1(i) = sset.Item(i)
     Next
     MsgBox UBound(text1)
    ' For i = LBound(text1) To UBound(text1)
     'MsgBox text1(i).TextString
     'Next
 
     Dim newarray()
     newarray = getArray(text1)
     For i = LBound(text1) To UBound(text1)
        MsgBox newarray(i).TextString
     Next
 
End Sub

此过程为何不能显示过滤后的字符?

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 21:48 , Processed in 0.160494 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表